Loading...
Searching...
No Matches
su_os_nw.h File Reference

Network change events. More...

`#include "sofia-sip/su.h"`
`#include "sofia-sip/su_time.h"`
`#include "sofia-sip/su_alloc.h"`
`#include "sofia-sip/su_wait.h"`
Include dependency graph for su_os_nw.h:

Go to the source code of this file.

## Macros

#define | SU_OS_NW_H
| Defined when <sofia-sip/su_os_nw.h> has been included.
#define | SU_NETWORK_CHANGED_MAGIC_T
| Default type of application context for network_changed function.

## Typedefs

typedef SU_NETWORK_CHANGED_MAGIC_T | su_network_changed_magic_t
| Root context pointer type.
typedef void | su_network_changed_f(su_network_changed_magic_t *, su_root_t *)
| Function prototype for network-changed callback .

## Functions

su_network_changed_t * | su_root_add_network_changed (su_home_t *home, su_root_t *root, su_network_changed_f *, su_network_changed_magic_t *)
| Register a callback for the network change event.
int | su_root_remove_network_changed (su_network_changed_t *)
| Remove a callback registered for the network change event.

## Detailed Description

Network change events.

Author
  Martti Mela Martt.nosp@m.i.Me.nosp@m.la@no.nosp@m.kia..nosp@m.com
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Tue Aug 15 09:05:18 EEST 2006 martt.nosp@m.i.me.nosp@m.la@no.nosp@m.kia..nosp@m.com

Since
  Experimental in 1.12.2. Note that this is expected to change in future releases.

## Macro Definition Documentation

## SU_NETWORK_CHANGED_MAGIC_T

#define SU_NETWORK_CHANGED_MAGIC_T

Default type of application context for network_changed function.

Application may define the typedef su_network_changed_magic_t to appropriate type by defining macro SU_NETWORK_CHANGED_MAGIC_T before including <sofia-sip/su_os_nw.h>, for example,

#define SU_NETWORK_CHANGED_MAGIC_T struct context
#include <sofia-sip/su_os_nw.h>
su_os_nw.h
Network change events.

Since
  New in 1.12.2.

## Typedef Documentation

## su_network_changed_f

typedef void su_network_changed_f(su_network_changed_magic_t *, su_root_t *)

Function prototype for network-changed callback .

Since
  New in 1.12.2.

## su_network_changed_magic_t

typedef SU_NETWORK_CHANGED_MAGIC_T su_network_changed_magic_t

Root context pointer type.

Application may define the typedef su_network_changed_magic_t to appropriate type by defining macro SU_NETWORK_CHANGED_MAGIC_T before including <sofia-sip/su_os_nw.h>, for example,

#define SU_NETWORK_CHANGED_MAGIC_T struct context
#include <sofia-sip/su_os_nw.h>

Since
  New in 1.12.2.

## Function Documentation

## su_root_add_network_changed()

su_network_changed_t * su_root_add_network_changed | ( | su_home_t * | home,
|  | su_root_t * | root,
|  | su_network_changed_f * | network_changed_cb,
|  | su_network_changed_magic_t * | magic )

Register a callback for the network change event.

Since
  New in 1.12.2.

## su_root_remove_network_changed()

int su_root_remove_network_changed | ( | su_network_changed_t * | snc | ) |

Remove a callback registered for the network change event.

Since
  New in 1.12.2.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.